# Generated by rust2rpm 16
%bcond_without check
%global __cargo_skip_build 0

%global crate fd-find

Name:           rust-%{crate}
Version:        8.2.1
Release:        %autorelease
Summary:        Simple, fast and user-friendly alternative to find

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/fd-find
Source:         %{crates_source}
# Initial patched metadata
# * Bump lscolors from 0.7 to 0.10
# * Remove jemallocator from deps
Patch0:         fd-find-fix-metadata.diff
# * Disable jemallocator for real
Patch0001:      0001-Remove-usage-of-jemallocator.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
Fd is a simple, fast and user-friendly alternative to find.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# * ASL 2.0 or MIT
# * MIT
# * MIT or ASL 2.0
# * Unlicense or MIT
License:        MIT

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE-MIT LICENSE-APACHE
%doc README.md CHANGELOG.md
%{_bindir}/fd
%{_mandir}/man1/fd.1*
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/fd.bash
%dir %{_datadir}/fish
%dir %{_datadir}/fish/vendor_completions.d
%{_datadir}/fish/vendor_completions.d/fd.fish
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_fd

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install
install -Dpm0644 -t %{buildroot}%{_mandir}/man1 \
  doc/fd.1
install -Dpm0644 -t %{buildroot}%{_datadir}/bash-completion/completions \
  target/release/build/%{crate}-*/out/fd.bash
install -Dpm0644 -t %{buildroot}%{_datadir}/fish/vendor_completions.d \
  target/release/build/%{crate}-*/out/fd.fish
install -Dpm0644 -t %{buildroot}%{_datadir}/zsh/site-functions \
  contrib/completion/_fd

%if %{with check}
%check
%cargo_test
%endif

%changelog
%autochangelog
